## mesa 19.2.8

=== SConstruct ===
--- 
+++ 
@@ -31,6 +31,7 @@
 # Minimal scons version
 
 EnsureSConsVersion(2, 4)
+EnsurePythonVersion(2, 7)
 
 
 #######################################################################
@@ -72,7 +73,7 @@
   mesa_version = f.read().strip()
 env.Append(CPPDEFINES = [
     ('PACKAGE_VERSION', '\\"%s\\"' % mesa_version),
-    ('PACKAGE_BUGREPORT', '\\"https://bugs.freedesktop.org/enter_bug.cgi?product=Mesa\\"'),
+    ('PACKAGE_BUGREPORT', '\\"https://gitlab.freedesktop.org/mesa/mesa/issues\\"'),
 ])
 
 # Includes
